﻿var umb = angular.module("umbraco.resources").factory("flxOrdersResource", function ($http) {
    return {

        getAllOrders: function () {
            return $http.get("/api/OrderWebService/GetAllOrders")
        },
        getAwaitingDispatch: function () {
            var json = { orderStatus: 'Awaiting Dispatch' };
            return $http({
                method: 'POST',
                url: "/api/OrderWebService/GetAllOrders", data: json
            })
        },
        getOrdersOfSpecificStatus: function (data) {
            var json = { orderStatus: data };
            return $http({
                method: 'POST',
                url: "/api/OrderWebService/GetAllOrders", data: json
            })
        },
        getShippedOrders: function () {
            var json = { orderStatus: 'Shipped' };
            return $http({
                method: 'POST',
                url: "/api/OrderWebService/GetAllOrders", data: json
            })
        },
        getCancelledOrders: function () {
            var json = { orderStatus: 'Cancelled' };
            return $http({
                method: 'POST',
                url: "/api/OrderWebService/GetAllOrders", data: json
            })
        },
        getOrderById: function (orderId) {
            return $http.get("/api/OrderWebService/GetOrderById?orderId=" + orderId)
        },
        getAllOrderStatus: function () {
            return $http.get("/api/OrderWebService/GetAllOrderStatus")
        }

        

    }
});
        
